com.holonplatform.http.exceptions

## Class HttpClientInvocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.http.exceptions.HttpException
        - - com.holonplatform.http.exceptions.HttpClientInvocationException

- All Implemented Interfaces:
    Serializable

      public class HttpClientInvocationException
      extends HttpException

  HTTP exception to notify internal HTTP request-response invocation errors.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpClientInvocationException(String message)` Constructor with error message
    `HttpClientInvocationException(String message, Throwable cause)` Constructor with error message and nested exception
    `HttpClientInvocationException(Throwable cause)` Constructor with nested exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpClientInvocationException

          public HttpClientInvocationException(String message)

      Constructor with error message
      Parameters:
        `message` - Error message

    - #### HttpClientInvocationException

          public HttpClientInvocationException(Throwable cause)

      Constructor with nested exception
      Parameters:
        `cause` - Nested exception

    - #### HttpClientInvocationException

          public HttpClientInvocationException(String message,
                                               Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2019 The Holon Platform. All rights reserved.